framework:
    messenger:
        # reset services after consuming messages
        reset_on_message: true

        # Uncomment this (and the failed transport below) to send failed messages to this transport for later handling.
        failure_transport: failed

        transports:
            # https://symfony.com/doc/current/messenger.html#transport-configuration
            async:
                dsn: '%env(MESSENGER_TRANSPORT_DSN)%'
                options:
                    # queue_name is specific to the doctrine transport
                    queue_name: async
                retry_strategy:
                    max_retries: 3
            failed: 'doctrine://default?queue_name=failed'
            # sync: 'sync://'

        routing:
            # Route your messages to the transports
            'App\Message\CustomerCampaignMessage': async
            'App\DataModel\SmsModel': async
            'App\Message\DemoMPIMessage': async
            'App\Message\DemoRepairOrderQuoteMessage': async
            'App\Message\AppointmentCodeMessage': async
            'App\Message\CommandMessage': async
            'App\Message\RepairOrderVideoConcatenationMessage': async